=== modified file 'setup.py'
--- setup.py	2011-03-02 13:58:55 +0000
+++ setup.py	2011-03-02 14:44:38 +0000
@@ -6,6 +6,7 @@
 from distutils.core import setup, Command
 from distutils.command.install_data import install_data
 from distutils.command.build import build
+from distutils.command.sdist import sdist
 import os
 import sys
 
@@ -79,6 +80,11 @@
     sub_commands.append(('build_credits', is_versioned))
 
 
+class SourceDist(sdist):
+    sub_commands = sdist.sub_commands[:]
+    sub_commands.append(('build_credits', is_versioned))
+
+
 class InstallData(install_data):
 
     def run(self):
@@ -169,5 +175,6 @@
         cmdclass={'install_data': InstallData,
                   'build_credits': CreateCredits,
                   'build': BuildData,
+                  'sdist': SourceDist,
                   'check': Check}
         )

